//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "WaveObjectForm.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
#pragma resource "*.res"
TWaveForm *WaveForm;
TCBWavePlayer *OldWavePlayer;
//---------------------------------------------------------------------------
__fastcall TWaveForm::TWaveForm(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TWaveForm::FileListBoxDblClick(TObject *Sender)
{
  ModalResult=mrOk;    
}
//---------------------------------------------------------------------------


void __fastcall TWaveForm::FileListBoxChange(TObject *Sender)
{
  if (FileListBox->ItemIndex >= 0)
  {
      OkBtn->Enabled   = true;
      try
        {
          Screen->Cursor = (TCursor)500;//crHourGlass;
         try
           { 
              PlaySound(FileListBox->Items->Strings[FileListBox->ItemIndex].c_str(),NULL,
               SND_FILENAME&SND_ASYNC&SND_NOWAIT);
            }
            catch(...) 
            { 
              PlaySound(NULL,NULL,0);
            };
        }  
      __finally { Screen->Cursor = crDefault;};
   }
   else 
   {
     OkBtn->Enabled   = false;
   };
     
}
//---------------------------------------------------------------------------


void __fastcall TWaveForm::FormCreate(TObject *Sender)
{
 Screen->Cursors[500] = LoadCursor(HInstance, "WAIT"); 
}
//---------------------------------------------------------------------------


void __fastcall TWaveForm::PlayBtnClick(TObject *Sender)
{
   OldWavePlayer->Play();       
}
//---------------------------------------------------------------------------


