//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "WaveButton.h"
#pragma resource "*.dcr"
#pragma package(smart_init)
//---------------------------------------------------------------------------
// ValidCtrCheck is used to assure that the components created do not have
// any pure virtual functions.
//

static inline void ValidCtrCheck(TWaveButton *)
{
    new TWaveButton(NULL);
}
//---------------------------------------------------------------------------
__fastcall TWaveButton::TWaveButton(TComponent* Owner)
    : TSpeedButton(Owner)
{
    ClickWave=NULL;
    OverWave=NULL;
    RightWave=NULL;
    is=false;
}
//---------------------------------------------------------------------------
void __fastcall TWaveButton::Click(void)
{
  if (ClickWave!=NULL)
      ClickWave->Play();
  TSpeedButton::Click();
}
//---------------------------------------------------------------------------
void __fastcall TWaveButton::MouseMove(Classes::TShiftState Shift, int X, int Y)
{
  if ((OverWave!=NULL)&&(is))
        OverWave->Play();
  is=!MouseInControl;
  TSpeedButton::MouseMove(Shift, X, Y);
}
//---------------------------------------------------------------------------
void __fastcall TWaveButton::MouseDown(TMouseButton Button, Classes::TShiftState Shift, int X, int Y)
{
    if((Button==mbRight) && (RightWave!=NULL))
       RightWave->Play();
    TSpeedButton::MouseDown( Button, Shift, X, Y); 
}
//---------------------------------------------------------------------------
namespace Wavebutton
{
    void __fastcall PACKAGE Register()
    {
        TComponentClass classes[1] = {__classid(TWaveButton)};
        RegisterComponents("Samples", classes, 0);
    }
}
//---------------------------------------------------------------------------
 